Gtk_CheckMenuItem(3)

NAME - Gtk_CheckMenuItem

HEADER REQUIRED
#include <gtk--/checkmenuitem.h&gt;>

BASE CLASSES
Gtk_MenuItem(3)

DERIVED BY
Gtk_RadioMenuItem(3)

PROPERTIES

active
    Type: bool
    Get: none
    Set: set_active()

     Whether the item is checked or not

always_show_toggle
    Type: bool
    Get: none
    Set: set_show_toggle()

     Whether the toggle indicator is always drawn or only when the item is highlighted

PUBLIC MEMBER INDEX
    Gtk_CheckMenuItem();
    Gtk_CheckMenuItem(GtkCheckMenuItem *castitem);
    Gtk_CheckMenuItem(const _gtk_string &label);
    void  set_state(GtkStateType state);
    void  set_state(bool state);
    void  set_active(bool state);
    void  set_show_toggle(bool always);
    signal void  toggled(BaseObjectType);
    signal void  draw_indicator(GdkRectangle*);
    GtkCheckMenuItem*  gtkobj();
    const GtkCheckMenuItem*  gtkobj() const;
    static bool  isGtkCheckMenuItem(Gtk_Object *checkcast);

PROTECTED MEMBER INDEX
    friend  CppClassType;
    typedef GtkCheckMenuItem  BaseObjectType;
    typedef GtkCheckMenuItemClass  BaseClassType;
    virtual void * get_parent_class();
    virtual void  toggled_impl();
    virtual void  draw_indicator_impl(GdkRectangle* p1);

PRIVATE MEMBER INDEX
    static CppClassType  check_menu_item_class;
    GtkType  get_type();

PUBLIC MEMBER DESCRIPTIONS

signal void  Gtk_CheckMenuItem::toggled (BaseObjectType);
    Triggered when the item changes state (Note : changing the item's state with set_active() will also trigger this signal).

signal void  Gtk_CheckMenuItem::draw_indicator (GdkRectangle*);
    Triggered when the item is redrawn (e.g.after being toggled) Overload this signal if you want to implement your own check item look. Otherwise, you most likely don't care about it. The GdkRectangle specifies the area of the widget which will get redrawn.

PROTECTED MEMBER DESCRIPTIONS

PRIVATE MEMBER DESCRIPTIONS